summaryrefslogtreecommitdiff
path: root/qa/706
diff options
context:
space:
mode:
Diffstat (limited to 'qa/706')
-rwxr-xr-xqa/70654
1 files changed, 54 insertions, 0 deletions
diff --git a/qa/706 b/qa/706
new file mode 100755
index 0000000..d76dc43
--- /dev/null
+++ b/qa/706
@@ -0,0 +1,54 @@
+#!/bin/sh
+# PCP QA Test No. 706
+# Interleaved pmLookupDesc() and pmFetch() across multiple PMDAs ...
+# trying to reproduce PMDA failure on www.sgi.com
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.setup
+. ./common.pcpweb
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+
+_cleanup()
+{
+ _restore_state
+ rm -f $tmp.*
+ exit $status
+}
+trap _cleanup 0 1 2 3 15
+
+# real QA test starts here
+
+_save_state
+
+for i in 1 2 3 4
+do
+ src/multifetch -s 100 >$tmp.$i 2>&1 &
+ src/multifetch -s 100 >$tmp.$i 2>&1 &
+ src/multifetch -s 100 >$tmp.$i 2>&1 &
+ src/multifetch -s 100 >$tmp.$i 2>&1 &
+done
+
+wait
+
+for i in 1 2 3 4
+do
+ echo
+ echo "Log for multifetch #$i:"
+ cat $tmp.$i
+done
+
+wait
+
+status=0
+exit